Bug 183644 - [ath] [patch] ath(4) "stops" working
Summary: [ath] [patch] ath(4) "stops" working
Status: Open
Alias: None
Product: Base System
Classification: Unclassified
Component: wireless (show other bugs)
Version: 9.2-STABLE
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-wireless (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-04 01:10 UTC by Nathan Lay
Modified: 2018-05-28 19:44 UTC (History)
0 users

See Also:


Attachments
file.diff (1.72 KB, patch)
2013-11-04 01:10 UTC, Nathan Lay
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nathan Lay 2013-11-04 01:10:01 UTC
When ath(4) is operating in hostap mode, it would randomly "stop" working during normal Internet usage (wifi devices streaming, browsing the web, etc...). Some symptoms of the problem included several and frequent "stuck beacon" messages in dmesg and sudden unresponsive behavior that required the ath(4) module to be unloaded and then reloaded to function again (restarting hostapd, bringing interface up/down, destroying/creating wlan# again was not sufficient).

Fix: Adrian Chadd recommended a code snippet from HEAD which resolved the problem with stuck beacons and it apparently solved this problem too. The attached patch has been tested and successfully used since 2/17/2013.

Patch attached with submission follows:
How-To-Repeat: The exact causes are not known. It's not reproducible.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2013-11-04 05:26:10 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-wireless
Comment 2 Eitan Adler freebsd_committer freebsd_triage 2018-05-28 19:44:29 UTC
batch change:

For bugs that match the following
-  Status Is In progress 
AND
- Untouched since 2018-01-01.
AND
- Affects Base System OR Documentation

DO:

Reset to open status.


Note:
I did a quick pass but if you are getting this email it might be worthwhile to double check to see if this bug ought to be closed.